# Get a WhatsApp group

`GET https://app.whatsetter.com/api/v1/groups/{id}`

One tracked group with its WhatsApp community, AI reply mode, admin
flag and sync state. `id` is the group's `id` from `/groups`.
Requires scope `groups:read`.

## Parameters

| Name | In | Type | Required | Description |
|---|---|---|---|---|
| `id` | path | string | yes |  |

## Example request

```bash
curl --request GET \
  --url 'https://app.whatsetter.com/api/v1/groups/{id}' \
  --header 'Authorization: Bearer ws_live_…'
```

## Responses

### 200: The group

```json
{
  "data": ""
}
```

### 401: Missing, unknown or revoked API key

```json
{
  "error": {
    "code": "",
    "message": ""
  }
}
```

### 404: Resource not found in this workspace

```json
{
  "error": {
    "code": "",
    "message": ""
  }
}
```


Source: https://docs.whatsetter.com/api-reference/operations/getgroup/
